from django import forms

from .models import Entrenador, Deportista, Macrociclo


class EntrenadorForm(forms.ModelForm):
    class Meta:
        model = Entrenador
        fields = ['nombre']

    nombre = forms.CharField(
        widget=forms.TextInput(attrs={'class': 'form-control'}))


class DeportistaForm(forms.ModelForm):
    class Meta:
        model = Deportista
        fields = ['nombre', 'entrenador']

    entrenador = forms.ModelChoiceField(
        queryset=Entrenador.objects.all(),
        widget=forms.Select(attrs={'class': 'form-control'}))


class MacrocicloForm(forms.ModelForm):
    class Meta:
        model = Macrociclo
        fields = ['nombre', 'tipo', 'desde', 'hasta', 'deportista', 'entrenador']

    nombre = forms.CharField(
        widget=forms.TextInput(attrs={'class': 'form-control'}))

    desde = forms.DateField(
            widget=forms.DateInput(attrs={'type': 'date', 'class': 'form-control'}))

    hasta = forms.DateField(
            widget=forms.DateInput(attrs={'type': 'date', 'class': 'form-control'}))

    deportista = forms.ModelChoiceField(
        queryset=Deportista.objects.all(),
        widget=forms.Select(attrs={'class': 'form-control'}))

    entrenador = forms.ModelChoiceField(
        queryset=Entrenador.objects.all(),
        widget=forms.Select(attrs={'class': 'form-control'}))

